Name: libusb-compat
Version: 0.1.3
Release: 1%{?dist}
Summary: A library which allows userspace access to USB devices

Group: System Environment/Libraries
License: LGPLv2+
URL: http://www.libusb.org/wiki/LibusbCompat0.1
Source0: http://downloads.sourceforge.net/project/libusb/libusb-compat-0.1/libusb-compat-%{version}/libusb-compat-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: libusb1-devel
Requires: libusb1
Obsoletes: libusb < 0.1.12-24
Provides: libusb

%description
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package devel
Summary: Development files for libusb-compat
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the header files, libraries and documentation needed to
develop applications that use libusb-compat.

%package static
Summary: Static development files for libusb-compat
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
This package contains static libraries to develop applications that use
libusb-compat.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/libusb.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libusb-0.1.so.*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README
%{_bindir}/libusb-config
%{_includedir}/usb.h
%{_libdir}/libusb.so
%{_libdir}/pkgconfig/libusb.pc

%files static
%defattr(-,root,root,-)
%{_libdir}/libusb.a

%changelog
* Thu Jun 24 2010 Jan Vcelak <jvcelak@redhat.com> 0.1.3-1
- initial release

